Sync Thread Messages

Prev Next
Get
/api/v1/chat.syncThreadMessages

List the messages in a thread along with any data updates from a specified date.

Changelog

Version Description
9.0.0 Removed the fields and query parameters.
1.0.0 Added
Header parameters
X-Auth-Token
stringRequired

The authToken of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired

The userId of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
Query parameters
offset
integer

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the official documentation to learn more.

Example50
count
integer

The number of items to return. Refer to the official documentation to learn more.

Example50
sort

List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, { "value": -1, "_id": 1 }. Refer to the official documentation to learn more.

updatedSince
stringRequired

Date as an ISO string. When you provide the updatedSince query parameter, the update and remove parameters in the response will contain only those updated and removed since this date and time.

tmid
stringRequired

Thread's message ID.

Responses
200

OK

Example
{
  "messages": {
    "update": [
      {
        "_id": "8BciMkvotHLpmpDEG",
        "rid": "GENERAL",
        "tmid": "hbs2ZAjHH2JXrP7C7",
        "msg": "test",
        "ts": "2019-04-16T18:30:46.615Z",
        "u": {
          "_id": "rocketchat.internal.admin.test",
          "username": "rocketchat.internal.admin.test",
          "name": "RocketChat Internal Admin Test"
        },
        "_updatedAt": "2019-04-16T18:30:46.669Z",
        "mentions": [],
        "channels": []
      }
    ],
    "remove": []
  },
  "success": true
}
Expand All
object
messages
object
update
Array of object
object
_id
string
rid
string
tmid
string
msg
string
ts
string
u
object
_id
string
username
string
name
string
_updatedAt
string
mentions
Array of object
object
channels
Array of object
object
remove
Array of object
object
success
boolean
400

Bad Request

Example 1
{
  "success": false,
  "error": "The required \"tmid\" query param is missing. [error-invalid-params]",
  "errorType": "error-invalid-params"
}
Example 2
{
  "success": false,
  "error": "The required param \"updatedSince\" is missing. [error-updatedSince-param-invalid]",
  "errorType": "error-updatedSince-param-invalid"
}
object
success
boolean
error
string
errorType
string
401

Unauthorized

Authorization Error
{
  "success": false,
  "error": "You must be logged in to do this."
}
object
success
boolean
error
string